﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using SLaB.Navigation.Controls.Sitemap;

namespace ScratchApplication.Views
{
    public partial class SitemapPage : Page
    {
        public SitemapPage()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            ISitemap sitemap = null;
            Dictionary<string, string> qs = new Dictionary<string, string>(NavigationContext.QueryString, StringComparer.CurrentCultureIgnoreCase);
            string name = qs["sitemapname"];
            if (Resources.Contains(name))
                sitemap = Resources[name] as ISitemap;
            if (sitemap == null && Application.Current.Resources.Contains(name))
                sitemap = Application.Current.Resources[name] as ISitemap;
            navigator.Sitemap = sitemap;
        }

    }
}
